Subject: Re: ntea dilemma
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "S. L." <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Oct 2002 08:32:49 -0400

At 04:16 AM 10/9/2002, S. L. wrote:
>Larry,
>[...]
> > to a file in that FAT(32) partition.  Just run "chmod +rw <file>" for 
> > 
> > some <file> and the "EA DATA .SF" should appear if you're running with
> > "ntea" 
> > enabled.  Make sure that "ntea" is set *before* the Cygwin DLL is loaded
> > 
> > (before any Cygwin processes start).
>[...]
>
>no, it does not appear. I set my CYGWIN var and restarted XP.
>
>I repeat, my assumption is that this happens because I originally installed
>cygwin in win98. Its XP running was settled by manually creating the mount
>points (I actually didn't modify registry, but "mount"-ed  "-s" by hand the 3
>original points setup does, i.e. "/" "/usr/bin" and "/usr/lib"). In this case,
>my "/" resides on a FAT32 partition, and I think this is the main reason for
>ntea's behaviour.

That's fine but it's no more than conjecture at this point so I can only say
that if this is the case, it's a bug.  Generally, the "ntea" option works
for FAT(32) partitions under NT/W2K/XP.

>Or could this happen due to any local/domain user necessary preamble (i.e.
>if my XP is -- and it is -- a domain member, then ntea will work only when I
>first use chmod logged in as a domain user) ?! ... to be tested.

Hm, this is also a stretch but it's certainly worth investigating.  If you
find something useful here, let the list know.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/